
Redmine - Defect #8019

ActiveRecord::StatementInvalid in Issues#show

2011-03-30 09:10 - jinhai jinhai

Status: Closed Start date: 2011-03-30

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version:  

Description

Showing app/views/issues/show.rhtml where line #32 raised:

Mysql::Error: Unknown column 'issues.lft' in 'where clause': SELECT sum(time_entries.hours) AS sum_time_entries_hours FROM

`issues`  LEFT OUTER JOIN `time_entries` ON time_entries.issue_id = issues.id WHERE ((issues.`lft` >= NULL AND issues.`rgt` <=

NULL) AND (`issues`.`root_id` IS NULL))

Extracted source (around line #32):

29:     <th class="category"><%=l(:field_category)%>:</th><td class="category"><%=h @issue.category ? @issue.category.name :

"-" ></td>

30:     < if User.current.allowed_to?(:view_time_entries, Herve Harster) >

31:     <th class="spent-time"><=l(:label_spent_time)%>:</th>

32:     <td class="spent-time"><%= @issue.spent_hours > 0 ? (link_to l_hours(@issue.spent_hours), {:controller => 'timelog', :action

=> 'details', :project_id => Herve Harster, :issue_id => @issue}) : "-" ></td>

33:     < end %>

34: </tr>

35: <tr>
C:/Program Files/BitNami Redmine Stack/apps/redmine/vendor/rails/actionpack/lib/action_view/base.rb:306:in `with_template'

C:/Program Files/BitNami Redmine Stack/apps/redmine/vendor/rails/actionpack/lib/action_view/renderable.rb:30:in `render'

C:/Program Files/BitNami Redmine Stack/apps/redmine/vendor/rails/actionpack/lib/action_view/template.rb:205:in `render_template'

C:/Program Files/BitNami Redmine Stack/apps/redmine/vendor/rails/actionpack/lib/action_view/base.rb:265:in `render'

C:/Program Files/BitNami Redmine Stack/apps/redmine/vendor/rails/actionpack/lib/action_view/base.rb:348:in `_render_with_layout'

C:/Program Files/BitNami Redmine Stack/apps/redmine/vendor/rails/actionpack/lib/action_view/base.rb:262:in `render'

C:/Program Files/BitNami Redmine Stack/apps/redmine/vendor/rails/actionpack/lib/action_controller/base.rb:1250:in `render_for_file'

C:/Program Files/BitNami Redmine Stack/apps/redmine/vendor/rails/actionpack/lib/action_controller/base.rb:945:in

`render_without_benchmark'

C:/Program Files/BitNami Redmine Stack/apps/redmine/vendor/rails/actionpack/lib/action_controller/benchmarking.rb:51:in `render'

C:/Program Files/BitNami Redmine Stack/apps/redmine/vendor/rails/activesupport/lib/active_support/core_ext/benchmark.rb:17:in

`ms'

C:/Program Files/BitNami Redmine Stack/ruby/lib/ruby/1.8/benchmark.rb:308:in `realtime'

C:/Program Files/BitNami Redmine Stack/apps/redmine/vendor/rails/activesupport/lib/active_support/core_ext/benchmark.rb:17:in

`ms'

C:/Program Files/BitNami Redmine Stack/apps/redmine/vendor/rails/actionpack/lib/action_controller/benchmarking.rb:51:in `render'

C:/Program Files/BitNami Redmine Stack/apps/redmine/app/controllers/issues_controller.rb:117

C:/Program Files/BitNami Redmine Stack/apps/redmine/vendor/rails/actionpack/lib/action_controller/mime_responds.rb:135:in `call'

C:/Program Files/BitNami Redmine Stack/apps/redmine/vendor/rails/actionpack/lib/action_controller/mime_responds.rb:135

C:/Program Files/BitNami Redmine Stack/apps/redmine/vendor/rails/actionpack/lib/action_controller/mime_responds.rb:175:in `call'

C:/Program Files/BitNami Redmine Stack/apps/redmine/vendor/rails/actionpack/lib/action_controller/mime_responds.rb:175:in

`respond'

C:/Program Files/BitNami Redmine Stack/apps/redmine/vendor/rails/actionpack/lib/action_controller/mime_responds.rb:173:in `each'

C:/Program Files/BitNami Redmine Stack/apps/redmine/vendor/rails/actionpack/lib/action_controller/mime_responds.rb:173:in

`respond'

C:/Program Files/BitNami Redmine Stack/apps/redmine/vendor/rails/actionpack/lib/action_controller/mime_responds.rb:107:in

`respond_to'

C:/Program Files/BitNami Redmine Stack/apps/redmine/app/controllers/issues_controller.rb:116:in `show'

C:/Program Files/BitNami Redmine Stack/apps/redmine/vendor/rails/actionpack/lib/action_controller/base.rb:1331:in `send'

C:/Program Files/BitNami Redmine Stack/apps/redmine/vendor/rails/actionpack/lib/action_controller/base.rb:1331:in

`perform_action_without_filters'

C:/Program Files/BitNami Redmine Stack/apps/redmine/vendor/rails/actionpack/lib/action_controller/filters.rb:617:in `call_filters'

C:/Program Files/BitNami Redmine Stack/apps/redmine/vendor/rails/actionpack/lib/action_controller/filters.rb:610:in

`perform_action_without_benchmark'

C:/Program Files/BitNami Redmine Stack/apps/redmine/vendor/rails/actionpack/lib/action_controller/benchmarking.rb:68:in

`perform_action_without_rescue'

C:/Program Files/BitNami Redmine Stack/apps/redmine/vendor/rails/activesupport/lib/active_support/core_ext/benchmark.rb:17:in

`ms'

C:/Program Files/BitNami Redmine Stack/ruby/lib/ruby/1.8/benchmark.rb:308:in `realtime'

C:/Program Files/BitNami Redmine Stack/apps/redmine/vendor/rails/activesupport/lib/active_support/core_ext/benchmark.rb:17:in

`ms'

C:/Program Files/BitNami Redmine Stack/apps/redmine/vendor/rails/actionpack/lib/action_controller/benchmarking.rb:68:in

`perform_action_without_rescue'

C:/Program Files/BitNami Redmine Stack/apps/redmine/vendor/rails/actionpack/lib/action_controller/rescue.rb:160:in

`perform_action_without_flash'

C:/Program Files/BitNami Redmine Stack/apps/redmine/vendor/rails/actionpack/lib/action_controller/flash.rb:146:in `perform_action'

C:/Program Files/BitNami Redmine Stack/apps/redmine/vendor/rails/actionpack/lib/action_controller/base.rb:532:in `send'

C:/Program Files/BitNami Redmine Stack/apps/redmine/vendor/rails/actionpack/lib/action_controller/base.rb:532:in

`process_without_filters'

C:/Program Files/BitNami Redmine Stack/apps/redmine/vendor/rails/actionpack/lib/action_controller/filters.rb:606:in `process'

C:/Program Files/BitNami Redmine Stack/apps/redmine/vendor/rails/actionpack/lib/action_controller/base.rb:391:in `process'

C:/Program Files/BitNami Redmine Stack/apps/redmine/vendor/rails/actionpack/lib/action_controller/base.rb:386:in `call'

C:/Program Files/BitNami Redmine Stack/apps/redmine/vendor/rails/actionpack/lib/action_controller/routing/route_set.rb:437:in `call'

C:/Program Files/BitNami Redmine Stack/apps/redmine/vendor/rails/actionpack/lib/action_controller/dispatcher.rb:87:in `dispatch'

C:/Program Files/BitNami Redmine Stack/apps/redmine/vendor/rails/actionpack/lib/action_controller/dispatcher.rb:121:in `_call'

C:/Program Files/BitNami Redmine Stack/apps/redmine/vendor/rails/actionpack/lib/action_controller/dispatcher.rb:130

C:/Program Files/BitNami Redmine Stack/apps/redmine/vendor/rails/activerecord/lib/active_record/query_cache.rb:29:in `call'

2025-05-01 5/7



C:/Program Files/BitNami Redmine Stack/apps/redmine/vendor/rails/activerecord/lib/active_record/query_cache.rb:29:in `call'

C:/Program Files/BitNami Redmine

Stack/apps/redmine/vendor/rails/activerecord/lib/active_record/connection_adapters/abstract/query_cache.rb:34:in `cache'

C:/Program Files/BitNami Redmine Stack/apps/redmine/vendor/rails/activerecord/lib/active_record/query_cache.rb:9:in `cache'

C:/Program Files/BitNami Redmine Stack/apps/redmine/vendor/rails/activerecord/lib/active_record/query_cache.rb:28:in `call'

C:/Program Files/BitNami Redmine

Stack/apps/redmine/vendor/rails/activerecord/lib/active_record/connection_adapters/abstract/connection_pool.rb:361:in `call'

C:/Program Files/BitNami Redmine Stack/apps/redmine/vendor/rails/actionpack/lib/action_controller/string_coercion.rb:25:in `call'

C:/Program Files/BitNami Redmine Stack/ruby/lib/ruby/gems/1.8/gems/rack-1.0.1/lib/rack/head.rb:9:in `call'

C:/Program Files/BitNami Redmine Stack/ruby/lib/ruby/gems/1.8/gems/rack-1.0.1/lib/rack/methodoverride.rb:24:in `call'

C:/Program Files/BitNami Redmine Stack/apps/redmine/vendor/rails/actionpack/lib/action_controller/params_parser.rb:15:in `call'

C:/Program Files/BitNami Redmine Stack/apps/redmine/vendor/rails/actionpack/lib/action_controller/session/cookie_store.rb:93:in

`call'

C:/Program Files/BitNami Redmine Stack/apps/redmine/vendor/rails/actionpack/lib/action_controller/failsafe.rb:26:in `call'

C:/Program Files/BitNami Redmine Stack/ruby/lib/ruby/gems/1.8/gems/rack-1.0.1/lib/rack/lock.rb:11:in `call'

C:/Program Files/BitNami Redmine Stack/ruby/lib/ruby/gems/1.8/gems/rack-1.0.1/lib/rack/lock.rb:11:in `synchronize'

C:/Program Files/BitNami Redmine Stack/ruby/lib/ruby/gems/1.8/gems/rack-1.0.1/lib/rack/lock.rb:11:in `call'

C:/Program Files/BitNami Redmine Stack/apps/redmine/vendor/rails/actionpack/lib/action_controller/dispatcher.rb:106:in `call'

C:/Program Files/BitNami Redmine Stack/apps/redmine/vendor/rails/actionpack/lib/action_controller/cgi_process.rb:44:in

`dispatch_cgi'

C:/Program Files/BitNami Redmine Stack/apps/redmine/vendor/rails/actionpack/lib/action_controller/dispatcher.rb:101:in

`dispatch_cgi'

C:/Program Files/BitNami Redmine Stack/apps/redmine/vendor/rails/actionpack/lib/action_controller/dispatcher.rb:27:in `dispatch'

C:/Program Files/BitNami Redmine Stack/ruby/lib/ruby/gems/1.8/gems/mongrel-1.1.5-x86-mingw32/lib/mongrel/rails.rb:76:in

`process'

C:/Program Files/BitNami Redmine Stack/ruby/lib/ruby/gems/1.8/gems/mongrel-1.1.5-x86-mingw32/lib/mongrel/rails.rb:74:in

`synchronize'

C:/Program Files/BitNami Redmine Stack/ruby/lib/ruby/gems/1.8/gems/mongrel-1.1.5-x86-mingw32/lib/mongrel/rails.rb:74:in

`process'

C:/Program Files/BitNami Redmine Stack/ruby/lib/ruby/gems/1.8/gems/mongrel-1.1.5-x86-mingw32/lib/mongrel.rb:159:in

`process_client'

C:/Program Files/BitNami Redmine Stack/ruby/lib/ruby/gems/1.8/gems/mongrel-1.1.5-x86-mingw32/lib/mongrel.rb:158:in `each'

C:/Program Files/BitNami Redmine Stack/ruby/lib/ruby/gems/1.8/gems/mongrel-1.1.5-x86-mingw32/lib/mongrel.rb:158:in

`process_client'

C:/Program Files/BitNami Redmine Stack/ruby/lib/ruby/gems/1.8/gems/mongrel-1.1.5-x86-mingw32/lib/mongrel.rb:285:in `run'

C:/Program Files/BitNami Redmine Stack/ruby/lib/ruby/gems/1.8/gems/mongrel-1.1.5-x86-mingw32/lib/mongrel.rb:285:in `initialize'

C:/Program Files/BitNami Redmine Stack/ruby/lib/ruby/gems/1.8/gems/mongrel-1.1.5-x86-mingw32/lib/mongrel.rb:285:in `new'

C:/Program Files/BitNami Redmine Stack/ruby/lib/ruby/gems/1.8/gems/mongrel-1.1.5-x86-mingw32/lib/mongrel.rb:285:in `run'

C:/Program Files/BitNami Redmine Stack/ruby/lib/ruby/gems/1.8/gems/mongrel-1.1.5-x86-mingw32/lib/mongrel.rb:268:in `initialize'

C:/Program Files/BitNami Redmine Stack/ruby/lib/ruby/gems/1.8/gems/mongrel-1.1.5-x86-mingw32/lib/mongrel.rb:268:in `new'

C:/Program Files/BitNami Redmine Stack/ruby/lib/ruby/gems/1.8/gems/mongrel-1.1.5-x86-mingw32/lib/mongrel.rb:268:in `run'

C:/Program Files/BitNami Redmine Stack/ruby/lib/ruby/gems/1.8/gems/mongrel-1.1.5-x86-mingw32/lib/mongrel/configurator.rb:282:in

`run'

C:/Program Files/BitNami Redmine Stack/ruby/lib/ruby/gems/1.8/gems/mongrel-1.1.5-x86-mingw32/lib/mongrel/configurator.rb:281:in

`each'

C:/Program Files/BitNami Redmine Stack/ruby/lib/ruby/gems/1.8/gems/mongrel-1.1.5-x86-mingw32/lib/mongrel/configurator.rb:281:in

`run'

C:/Program Files/BitNami Redmine Stack/ruby/lib/ruby/gems/1.8/gems/mongrel-1.1.5-x86-mingw32/bin/mongrel_rails:128:in `run'

C:/Program Files/BitNami Redmine Stack/ruby/lib/ruby/gems/1.8/gems/mongrel-1.1.5-x86-mingw32/lib/mongrel/command.rb:212:in

`run'

C:/Program Files/BitNami Redmine Stack/ruby/lib/ruby/gems/1.8/gems/mongrel-1.1.5-x86-mingw32/bin/mongrel_rails:281

C:/Program Files/BitNami Redmine Stack/ruby/bin/mongrel_rails:19:in `load'

C:/Program Files/BitNami Redmine Stack/ruby/bin/mongrel_rails:19

Request

Parameters:

{"id"=>"29"}

Show session dump

Response

Headers:

{"Content-Type"=>"text/html",

"Cache-Control"=>"no-cache"}
History

#1 - 2011-03-30 09:21 - Etienne Massip

- Category set to Issues

- Priority changed from High to Normal

Read SubmittingBugs and RedmineInstall or we can't help you.

#2 - 2011-03-30 18:20 - Jean-Philippe Lang

- Status changed from New to Closed

- Resolution set to Invalid

You didn't migrate your database.
